Subject: Jonathan McKay - L1 Visa Application
From: [email-masked]
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Tue, 31 Jul 2001 12:38:00 -0700 (PDT)

Jon:  I have been asked to contact you regarding your job offer with Enron North America in Houston.

In order that I may proceed with an L1A (intracompany) visa on your behalf, please complete the attached L1 questionnaire and return this to me at your earliest convenience, along with copies of the following documents:

a copy of your passport, including any previous US visas
a copy of your degree (I have a copy of the transcript)
if you have family members accompanying you to the US, copies of their passports

Please send to me via Fedex to:

Enron Corp.
1400 Smith Street, EB3658A
Houston, TX 77002

Please call me with any questions you may have at 713-345-1529.

Margaret